import ComponentBase from "../components/ComponentBase";
import Loading from "../loading/Loading";

export default class Scene extends ComponentBase {
    constructor(data?) {
        super(data);
    }

    protected onSkinComplete() {
        super.onSkinComplete();
        Loading.instace.hide();
    }

    protected getTapEvts(): any[] {
        return super.getTapEvts();
    }

    protected getBeginEvts(): any[] {
        return super.getBeginEvts();
    }

}